3D Settings - Games and Applications

Tasks in the 3D Settings pages allow you to do the following:

  • Change the image and rendering settings of your 3D applications and games that utilize Direct3D and OpenGL technology.

  • Assign specific 3D settings to a game so that these settings automatically load when a game is launched.

  • For systems and NVIDIA GPU-based graphics cards that are capable of using NVIDIA Scalable Link Interface (SLI) technology, you can enable this feature for significant improvements in rendering performance of applications that are based on Direct3D and OpenGL technology.

NOTE for Windows Vista: Support for some features under Windows Vista is under development and may not be available with your NVIDIA graphics driver version. Consult the release notes for updated information on supported features.

©2005 - 2008 NVIDIA Corporation. All rights reserved. 3D Settings


Adjust Image Settings

Use this page to change the image and rendering settings for your 3D applications that utilize Direct3D and OpenGL.

  • For help on using these features, see How do I...

  • For reference information on these features, see the Reference.


How do I ...

  • Get rid of the jagged lines on curves

  • Make my 3D application run faster

  • Make my 3D application look better

  • Preview changes I make to 3D settings

  • Let my 3D applications determine the 3D image settings


To improve the appearance of images in your 3D application

To improve the appearance of images in your 3D application by getting rid of the jagged lines on curves

  1. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Adjust image settings with preview to open the associated page.

    The options on the page enable you to change the image and rendering settings of your 3D applications that utilize Direct3D and OpenGL technology.

  2. Select the option Use my preference emphasizing: <selected slider setting>

    1. Move the slider to the Quality setting to improve the smoothness of curved lines on images by removing the jagged appearance of curved lines referred to as ”jaggies”.

      Note: Moving the slider all the way to Quality will give you the best image quality but at some expense to application performance. Moving the slider to the Performance side will display more ”jaggies” but increase the frame rate for faster application performance.

    2. As you move the slider, you can preview the appearance of the image in the Performance and Quality preview windows on the left side of the page.

    3. If you want, you can click the Pause button to pause the animation in the Preview window. The button changes to Play, which you can click any time to resume playing the animation.

  3. Click Apply.

    4. Related Topics

    • Make my 3D application run faster

    • Make my 3D application look better

    • Preview changes I make to 3D settings

    • Let my 3D applications determine the 3D image settings

    • Image Settings with Preview


To make your 3D application run faster

  1. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Adjust image settings with preview to open the associated page.

    The options on the page enable you to change the image and rendering settings of your 3D applications that utilize Direct3D and OpenGL technology.

  2. Select the option Use my preference emphasizing: <selected slider setting>

  1. Move the slider towards the Performance setting to increase the frame rate for faster application performance.

    Note: Setting the slider all the way to Performance will give you the best performance (i.e., your application will run fastest) but at some expense to image quality. The further right you move your slider (towards the Quality setting), the lower the performance of your application while the image quality improves.

  2. As you move the slider, you can preview the appearance of the image in the Performance and Quality preview windows on the left side of the page.

  3. If you want, you can click the Pause button to pause the animation in the Preview window. The button changes to Play, which you can click any time to resume playing the animation.

Related Topics

  • Get rid of the jagged lines on curves

  • Make my 3D application look better

  • Preview changes I make to 3D settings

  • Let my 3D applications determine the 3D image settings

  • Image Settings with Preview (Standard)


To make your 3D application look better

  1. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Adjust image settings with preview

    The options on the page enable you to change the image and rendering settings of your 3D applications that utilize Direct3D and OpenGL technology.

  2. Select the option Use my preference emphasizing: <selected slider setting>

    The available settings are:

    • Performance offers the highest frame rate possible resulting in the best performance for your applications.

    • Balanced offers an optimal blend of image quality and performance. The result is optimal performance and good image quality for your applications.

    • Quality is the default setting that results in optimal image quality for your applications.

  3. Move the slider towards the Quality setting to improve the smoothness of the curved and rounded lines you see mostly on the edges of objects in images. This improvement is known as antialiasing, a technique that minimizes the jagged appearance of curved or rounded edges in 3D images. Enabling this option improves image quality but at some expense of application performance.

  4. As you move the slider, you can preview the appearance of the image in the Performance and Quality preview windows on the left side of the page.

  5. If you want, you can click the Pause button to pause the animation in the Preview window. The button changes to Play, which you can click any time to resume playing the animation.

Related Topics

  • Get rid of the jagged lines on curves

  • Make my 3D application run faster

  • Preview changes I make to 3D settings

  • Let my 3D applications determine the 3D image settings

  • Image Settings with Preview


To preview changes you make to 3D settings

  1. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Adjust image settings with preview to open the associated page.

    The options on the page enable you to change the image and rendering settings of your 3D applications that utilize Direct3D and OpenGL technology.

  2. Any time you use any of the options and settings on this page, the image rendering is shown in the big Preview window. You can also view the Performance and Quality components of the rendering in the smaller Performance and Quality preview windows that appear on the left side of the page.

  3. You can click the Pause button to pause the animation in the Preview window. The button changes to Play, which you can click any time to resume playing the animation.

Related Topics

  • Get rid of the jagged lines on curves

  • Make my 3D application run faster

  • Make my 3D application look better (With Preview)

  • Let my 3D applications determine the 3D image settings

  • Image Settings with Preview


To let your 3D application determine the optimal settings

  1. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Adjust image settings with preview

    The options on the page enable you to change the image and rendering settings of your 3D applications that utilize Direct3D and OpenGL technology.

  2. Select the option Let the 3D application decide.

  3. You can preview the appearance of the image in the Performance and Quality preview windows on the left side of the page.

  4. If you want, you can click the Pause button to pause the animation in the Preview window. The button changes to Play, which you can click any time to resume playing the animation.

Related Topics

  • Get rid of the jagged lines on curves

  • Make my 3D application run faster

  • Make my 3D application look better

  • Preview changes I make to 3D settings

  • Image Settings with Preview


3D Image Settings Reference

Games Settings Reference

This section provides reference information for game settings.

  • Image Settings with Preview


Image Settings with Preview (Standard)

Image Settings with Preview

If you are unfamiliar with 3D technology or not an advanced graphics user, use the Adjust Image Settings with Preview page to preview any changes you make for improved image quality and rendering.

Preview: This region displays is a real-time animation with the current 3D settings. When you change any of the settings on this page, they are immediately applied and reflected in the animation.

Pause/Play button toggles stopping and resuming the animation in the Preview window.

The images under the Performance and Quality labels on the left side of the page dynamically reflect the changes you make to the image and rendering settings on this page, based on the balance between Performance and Quality.

What do I look for? If you selected the Use my preference emphasizing: option, then moving the slider towards the Quality side will improve the smoothness you see on curved lines of objects in images. Moving the slider towards the Performance side will increase frame rate, but curved lines of objects in images will appear "jagged".

Let the 3D application decide performs all of the settings in the slider settings table at the bottom of this Help page.

Use the Advanced 3D Image Settings. Selecting this option and clicking Take me there opens the Manage 3D Settings. For descriptions of the options on this advanced page, see the Reference information in Manage 3D Settings.

Use my preference emphasizing enables the Performance &endash; Quality slider with the following settings:

  • Performance offers the highest frame rate possible resulting in the best performance for your applications but at some expense to the image quality.

  • Balanced offers an optimal blend of image quality and performance. The result is optimal performance and good image quality for your applications.

  • Quality results in the best image quality but at some expense to application performance.

Slider Settings

The Performance/Balance/Quality slider position corresponds to individual 3D settings as shown in the following table:

Slider Setting | Image Setting | Antialiasing Settings | Anisotropic Filtering | Vertical Sync | Force Mipmaps | Trilinear optimization | Anisotropic optimization
Performance | Quality | Application-controlled | Application-controlled | Force Off | Trilinear | On | On
Balance | Quality | 2x | 4x | Use the 3D application setting | Trilinear | On | On
Quality | Quality | 4x | 8x | Use the 3D application setting | Trilinear | Off | Off

Related Topics

  • Get rid of the jagged lines on curves

  • Make my 3D application run faster

  • Make my 3D application look better

  • Preview changes I make to 3D settings

  • Let my 3D applications determine the 3D image settings


Manage 3D Settings

The Manage 3D Settings page allows you to change 3D global settings and also create settings for specific games or programs. The program settings are used automatically each time you launch the program.

This page is available only in Advanced View.

  • For help on using these features, see How do I...

  • For reference information on these features, see the Reference.


How do I ...

  • To set a default 3D setting

  • Configure unique 3D settings for my applications and games

  • To enable or disable 3D hardware acceleration


To set a default 3D setting

To set default 3D settings

  1. Click the View menu and then select Advanced.

  2. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Manage 3D settings.

    3. The Manage 3D Settings page appears.

  3. Click the Global Settings tab.

    The Global Settings tab allows you to assign global settings that will be applied to all 3D games.

  4. If you have an NVIDIA Quadro product installed, then click the Global Presets list arrow and select one of the pre-installed global settings for workstation applications.

    The Global Presets list does not appear for GeForce products.

  5. In the Settings box, click the setting corresponding to the feature that you want to change, then from the drop-down list click the setting value that you want to use.

    • To restore the default global settings, click the Restore button on the bottom corner of the Global Settings tab.

    • To restore the default settings for a global preset (workstation products), select the global preset and then click the Restore button that is adjacent to the Global Presets list.

    NOTE: Clicking the Restore Defaults link at the top of the page will restore all the defaults for the entire Manage 3D Settings page.

  6. Click Apply when done.

Related Topics

  • Configure unique 3D settings for my applications and games

  • Enable or disable 3D hardware acceleration

  • Manage 3D Settings


Configure unique 3D settings for my applications and games

To configure unique 3D settings for my applications and games

  1. Click the View menu and then select Advanced.

  2. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Manage 3D settings.

    3. The Manage 3D Settings page appears.

  3. Click the Program Settings stab.

    4. The Program Settings tab allows you to assign unique 3D settings to a game when it is launched; the game will automatically use this setting whenever it is launched.

  4. Under Select a Program to Customize, click the list arrow and then select the game for which you want to customize the preset 3D settings.

    • If you want to select a game that is installed on your system but is not listed, click the Add button and then from the Open dialog box browse to locate the game that you want to add, then click Open.

    • If you want the list to show only those games that are installed on your system, check the Show only programs found on my computer check box.

      Note: The driver can still detect any games that are played and apply the appropriate 3D settings, even if the installed-game list filter did not detect the game on the system.

  5. In the Specify the settings box, make adjustments as needed for each listed feature.

    • To change a feature setting, click the corresponding setting, then click the setting that you want to use from the drop-down list that appears.

    • To restore the default settings, from the Select a Program list select the program that you want to restore and then click the Restore button that is adjacent to the Select a Program list.

    NOTE: Clicking the Restore Defaults link at the top of the page will restore all the defaults for the entire Manage 3D Settings page.

  6. Click Apply when done.

    7. Related Topics

    • Set a default 3D setting

    • To enable or disable 3D hardware acceleration

    • Manage 3D Settings


To adjust 3D hardware acceleration

  1. Click the View menu and then select Advanced

  2. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Manage 3D Settings to open the associated page.

    The options on this ”advanced” page enable you to change all the image and rendering settings of your 3D applications that utilize Direct3D and OpenGL technology.

  3. Click the Global Settings tab.

  4. Under Settings, click the setting corresponding to the Multi-display/mixed-GPU acceleration feature and select one of these options:

  5. Single-display performance mode: Specify this setting if you have problems with the multi-display modes.

    Note: This mode is faster than either of the multi-display modes described below.

  6. Compatibility performance mode is useful if you have two or more active displays when running in nView Dualview display mode or if you are using different classes of NVIDIA GPU-based graphics cards.

    When this mode is in effect, OpenGL renders in ”compatibility” mode for all displays so that when different classes of GPUs are in use, the lowest common feature set of all active GPUs is exposed to OpenGL applications.

    Note: The OpenGL rendering performance is slightly ”slower” than in single-display mode.

  • Multi-display performance mode is useful if you have two or more active displays when running in nView Dualview mode or if you are using different classes of NVIDIA GPU-based cards.

    When this mode is in effect, OpenGL renders in "performance” mode for all displays and when different classes of GPUs are in use, the lowest common feature set of all active GPUs is exposed to OpenGL applications.

    Note: The rendering performance is "faster" than in compatibility mode, although switching or spanning displays may result in minor transient rendering artifacts.

Related Topics

  • Configure unique 3D settings for my applications and games

  • Set a default 3D setting

  • Manage 3D Settings


Manage 3D Setting Reference

Manage 3D Settings Reference

This section provides information about the Manage 3D Launch Settings page.

  • Manage 3D Settings


Manage 3D Settings (reference)

Manage 3D Settings

The Manage 3D Settings page enables you to

  • Establish default 3D settings to use for all your Direct3D or OpenGL applications.

  • Establish a unique set of 3D settings for a particular game or application.

Global Settings

From the Global Settings tab, you can select from a list of pre-installed global settings (for workstation products) or create your own custom settings to use when running 3D applications.

  • Restore button (bottom corner) restores the default global settings.

  • Restore button (Global presets) restores the settings for the selected global preset to the default settings.

Program Settings

From the Program Settings tab, you can create a set of 3D settings to use when running a particular game or application.

  • Select a program to customize contains installed games and applications to which you have assigned unique 3D settings. Each line item has the game icon and the name of the game.

  • Add launches the Open dialog box where you can browse to locate the game for which you want to establish unique settings.

  • Remove button deletes the game-settings association. Use this button to remove the game/settings association that you created when you no longer want the game to use the assigned settings. Pre-installed settings cannot be removed.

  • Restore button restores the settings for the selected program to the default settings.

  • Show only programs found on my computer. Check this box if you want the list to show only those games that are installed on your system. The driver can still detect any games that are played and apply the appropriate 3D settings, even if the installed-game list filter does not detect the game on the system.

Features and Settings

The Global Settings and Program Settings tabs include a list of features that you can set. The actual features that appear depend on the graphics card and application.

Anisotropic filtering is a technique used to improve the quality of textures applied to the surfaces of 3D objects when drawn at a sharp angle. Enabling this option improves image quality at the expense of some performance. You can choose either to let the application determine the anisotropic filtering settings, turn anisotropic filtering completely off, or select from a number available settings. Higher values yield better image quality while reducing performance.

Anisotropic mip filter optimization enables the NVIDIA display driver to substitute point-mipmap filtering for linear-mipmap filtering on all but the primary texture stage. This improves performance but at some cost to image quality.

Anisotropic sample optimization enables use of anisotropic sample optimization for better performance.

Antialiasing - Mode allows you to control how NVIDIA antialiasing is applied in your 3D applications. See also Tips for Setting Antialiasing.

NOTE: This feature is available only with GeForce 8 Series and later GPUs.

  • Off turns off antialiasing.

  • Application-controlled lets the application control the antialiasing level. This is the preferred setting to use for applications that have built-in antialiasing controls.

  • Enhance the application setting (with the settings specified under Antialiasing-Setting) provides the most reliable and highest quality antialiasing support if you want to use NVIDIA's antialiasing with applications that have built-in antialiasing controls.

    • To use this option, you must set the application's antialiasing to any level, such as 2x, then set NVIDIA's antialiasing using the Antialiasing - Setting feature. The NVIDIA antialiasing setting is applied regardless of the application's setting.

  • Override any application setting (with the settings specified under Antialiasing-Setting) can be used if your application does not have built-in antialiasing control, or if your application uses high dynamic range (HDR) rendering but the built-in antialiasing does not work when HDR is enabled.

    • To use NVIDIA's antialiasing with applications that have built-in antialiasing controls, use Enhance the application setting.

Antialiasing - Setting allows you to set the antialiasing level to use in your 3D applications. You can choose either to let the application determine the antialiasing settings, turn antialiasing completely off, or select from a number of available settings.

NOTE: This feature is available on all GPUs. However, for GeForce 8 Series and later GPUs, this item is read-only if Application-controlled or Off was selected under Antialiasing - Mode.

  • Application-controlled lets the application control the antialiasing level.

  • None turns off antialiasing.

  • Specific antialiasing settings &emdash; The higher value corresponds to a higher level of antialiasing. For example, 16x is a higher quality setting than 2x.

    • See Tips for Setting Antialiasing.

Antialiasing - Transparency allows you to minimize the visible aliasing on the edges of images with transparent textures.

  • Multisampling provides superior performance.

  • Supersampling provides superior quality.

Conformant texture clamp refers to how texture coordinates are handled when they fall outside the body of the texture. Texture coordinates can be clamped to the edge or within the image.

Enable overlay enables overlays in OpenGL.

Extension limit. Determines if the OpenGL extension limit is on. Some older OpenGL applications need this turned on because they cannot process long extension strings and will crash if extensions are unlimited. If you are using newer OpenGL applications, you should turn this option off.

Force Mipmaps. Enabling this option enables mipmaps on applications that do not support mipmaps.

  • None means do not force mipmaps on application that do not support mipmaps.

  • Bilinear results in better image quality with better performance.

  • Trilinear results in good image quality with lower performance.

Force stereo shuttering. This setting forces the toggling of the stereo signal when shutter glasses or other 3D stereo hardware are not detected.

Gamma correct antialiasing allows you to enable or disable gamma correction antialiasing.

Image Settings allows you to decide if you would prefer performance, quality, or a balance between the two. The NVIDIA Control Panel will make all of the appropriate 3D image adjustments based on your preference.

  • High performance offers the highest frame rate possible resulting in the best performance for your applications.

  • Performance offers an optimal blend of image quality and performance. The result is optimal performance and good image quality for your applications.

  • Quality is the default setting that results in optimal image quality for your applications.

  • High Quality results in the best image quality for your applications. This setting is not necessary for average users who run game applications. It is designed for more advanced users to generate images that do not take advantage of the programming capability of the texture filtering hardware.

Maximize texture memory sets aside as much memory as possible for use by texture maps.

Multi-display/mixed-GPU acceleration. Configures multi-monitor support for maximum performance or maximum compatibility.

  • Single display performance mode: Specify this setting if you have problems with the multi-display modes.

  • Compatibility performance mode is useful if you have two or more active displays when running in nView Dualview display mode or if you are using different classes of NVIDIA GPU-based graphics cards.

Note: When this mode is in effect, OpenGL renders in "compatibility" mode for all displays. In this mode, when different classes of GPUs are in use, the lowest common feature set of all active GPUs is exposed to OpenGL applications. The OpenGL rendering performance is slightly slower than in single-display mode.

  • Multiple display performance mode is useful if you have two or more active displays when running in nView Dualview mode or if you are using different classes of NVIDIA GPU-based cards.

Note: When this mode is in effect, OpenGL renders in "performance" mode for all displays. As in "compatibility" mode, when different classes of GPUs are in use, the lowest common feature set of all active GPUs is exposed to OpenGL applications. However, the rendering performance is "faster" than in compatibility mode, although switching or spanning displays may result in minor transient rendering artifacts.

Multi-GPU performance mode determines the rendering mode used in multi-GPU mode.

Negative LOD bias determines if a negative level of detail bias is used to sharpen texture filtering.

SLI stereo rendering mode determines the SLI stereo rendering mode. The stereo rendering mode may be automatically set to be compatible with your stereo hardware. Dedicated GPU stereo rendering is the most efficient mode for SLI.

SLI performance mode determines the rendering mode used in SLI mode.

Stereo - Display mode allows you to select the display mode for stereo glasses or other hardware. Refer to the hardware documentation to learn which mode to use.

Stereo - Enable. Turn on this option only if it is necessary. Some applications automatically choose a stereo format while other applications may not function properly in a stereo pixel format.

Stereo - Swap eyes. Turn on this option to switch the left and right stereo images if the stereo effect does not appear correctly with the current setting.

Texture color depth determines whether textures of a specific color depth should be used by default in OpenGL applications.

Trilinear optimization enables you to have full control over trilinear optimizations in Direct3D and OpenGL applications. It allows better texture filtering performance with no perceived loss of image quality. You can view the areas of the image that are affected by the trilinear optimization by enabling textures that contain colored mipmap chains that are used in typical diagnostic applications.

Triple buffering allows you to enable or disable triple buffering. Turning on this setting improves performance when Vertical sync is also turned on.

Unified back/depth buffer. Enabling this option allocates one back buffer and one depth buffer for applications that create multiple windows. Turn on this option to use video memory more efficiently and improve performance.

Vertical sync allows you to enable or disable the Vertical Synchronization mode. You can turn Vertical sync on if you experience image tearing, turn it off to boost performance, or use the settings that are part of your 3D application.

Related Topics

  • Configure unique 3D settings for my applications and games

  • Set a default 3D setting

  • Enable or disable 3D hardware acceleration

  • Tips for Setting Antialiasing


Tips for Setting Antialiasing

Setting an Antialiasing Level

Some antialiasing levels require a large amount of video memory. If the level you requested requires more video memory than available and you see unexpected results, try selecting the next lower value, and so on, until you achieve the desired result. You may also want to experiment with different screen resolutions, refresh rates, and/or color depths until you arrive at a setting or combination of settings for antialiasing to work.

Using the Antialiasing - Mode Setting

This section provides tips for how to use the Antialiasing - Mode settings in the Manage 3D Settings page.

NOTE: This feature is available only with GeForce 8 Series and later GPUs.

Scenario | How to Apply Antialiasing
Game does not have its own antialiasing controls. | Select Override any application setting in the NVIDIA Control Panel and select the desired antialiasing level.
Game has its own antialiasing controls, and includes settings that you want to use. | Select Application-controlled mode in the NVIDIA Control Panel. Start the game and set antialiasing through the game menu.
Game has its own antialiasing controls, but has only an ”enable/disable” or ”on/off” option, or supports only 2x and 4x AA and you want to use a higher setting. | Select Enhance the application setting in the NVIDIA Control Panel and then select a higher antialiasing level. Start the game and set antialiasing to ”enable” or ”on”, or ”2x” or ”4x” through the game menu.
Game does not support antialiasing when HDR rendering is enabled. | Select Override any application setting in the NVIDIA Control Panel and select the desired antialiasing level. Start the game and enable HDR but disable antialiasing through the game menu.

Related topic

  • Manage 3D Settings-Program Settings


NVIDIA SLI Configuration

NVIDIA® SLI™ technology is a revolutionary platform innovation that allows you to intelligently scale performance by combining multiple NVIDIA graphics solutions in a single system with an NVIDIA nForce® SLI media and communications processor (MCP).

For more information on NVIDIA SLI technology and for an up-to-date list of compatible hardware and software please visit www.SLIZone.com.

Using NVIDIA Control Panel you can configure your SLI PC.

  • For help on using these features, see How do I...

  • For reference information on these features, see Reference.


How do I ...

      • Use NVIDIA SLI technology with one GPU-based graphics card

      • Use NVIDIA SLI technology with multiple GPU-based graphics cards and a single display

      • Use NVIDIA SLI technology with multiple GPU-based graphics cards and multiple displays

      • Verify that NVIDIA SLI technology is enabled and working

      • View how NVIDIA SLI technology is rendering my 3D and OpenGL applications


To use NVIDIA SLI technology with one SLI card

You cannot use NVIDIA SLI technology with only one SLI-ready NVIDIA GPU-based card.

However, if you are able to access the Set SLI Configuration page from the 3D Settings page, this means that you are running on a computer that is SLI-ready and it has at least one NVIDIA GPU-based SLI card installed. You can choose to add a second such card for full SLI functionality and view amazing improvements in the rendering performance of your Direct3D and OpenGL application content.

If you want to add a second SLI-ready graphics card, do the following:

    1. Shut down your computer.

    2. Add a second NVIDIA GPU-based SLI-ready graphics card to your system using the instructions that came with your NVIDIA SLI graphics card package.

    3. Turn on your computer.

    4. Right click on your desktop and select NVIDIA Control Panel to open the Home page.

    5. See the topics under ”Related topics” below

Related Topics

  • Use NVIDIA SLI technology with multiple GPU-based graphics cards and a single display

  • Use NVIDIA SLI technology with multiple GPU-based graphics cards and multiple displays

  • Verify that NVIDIA SLI technology is enabled and working

  • View how NVIDIA SLI technology is rendering my 3D and OpenGL applications

  • About NVIDIA SLI Technology


To use NVIDIA SLI technology with multiple SLI-cards and a single display

Using NVIDIA SLI technology with multiple graphics cards gives the best rendering performance in your Direct3D and OpenGL applications.

Note: To use this procedure, you must be running on an SLI-ready computer that is properly installed with at least two NVIDIA GPU-based SLI-ready graphics cards connected to a single display.

To use NVIDIA SLI technology using multiple GPU-based graphics cards connected to a single display..

  1. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Set SLI configuration to open the associated page.

  2. Click Enable SLI technology.

    3. Systems with four NVIDIA SLI-ready GPUs in an SLI PC are indicated by the text Enable Quad SLI technology.

Related Topics

  • Use NVIDIA SLI technology with one GPU-based graphics card

  • Use NVIDIA SLI technology with multiple GPU-based graphics cards and multiple displays

  • Verify that NVIDIA SLI technology is enabled and working

  • View how NVIDIA SLI technology is rendering my 3D and OpenGL applications

  • About NVIDIA SLI Technology


To use NVIDIA SLI technology with multiple SLI cards and multiple displays

Using NVIDIA SLI technology with multiple NVIDIA GPU-based graphics cards gives the best rendering performance in your Direct3D and OpenGL application content.

Note: To use this procedure, you must be running on an SLI-ready computer that is properly installed with two or more NVIDIA GPU-based SLI-ready graphics cards connected to two or more displays.

To use NVIDIA SLI technology with multiple GPU-based graphics cards connected to multiple displays ..

  1. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Set SLI configuration to open the associated page.

  2. Under Select the SLI configuration for your system, click Enable SLI technology.

    3. Systems with four NVIDIA SLI-ready GPUs in an SLI PC are indicated by the text Enable Quad SLI technology.

  3. Under Select the display to view SLI rendering content on, click the list arrow and select the display that you want to use to view your game.

    4. The GPU connected to this display will function as the ”primary” GPU, all others will function as slaves to the primary GPU.

Note: You may want to disable SLI technology if you experience software compatibility issues with 3D applications.

Related Topics

  • Use NVIDIA SLI technology with one GPU-based graphics card

  • Use NVIDIA SLI technology with multiple GPU-based graphics cards and a single display

  • Verify that NVIDIA SLI technology is enabled and working

  • View how NVIDIA SLI technology is rendering my 3D and OpenGL applications

  • About NVIDIA SLI Technology


To verify that NVIDIA SLI is enabled and working

To verify that NVIDIA SLI technology is enabled and working

  1. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Set SLI configuration.

  2. From the menu bar, click 3D Settings, then click the drop-down menu item Show SLI Visual Indicators.

Related Topics

  • Use NVIDIA SLI technology with one GPU-based graphics card

  • Use NVIDIA SLI technology with multiple GPU-based graphics cards and a single display

  • Use NVIDIA SLI technology with multiple GPU-based graphics cards and multiple displays

  • View how NVIDIA SLI technology is rendering my 3D and OpenGL applications

  • About NVIDIA SLI Technology


To view how NVIDIA SLI technology is rendering my 3D and OpenGL applications

  1. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Set SLI configuration.

  2. From the menu bar, click 3D Settings, then click the drop-down menu item Show SLI Visual Indicators.

Related Topics

  • Use NVIDIA SLI technology with one GPU-based graphics card

  • Use NVIDIA SLI technology with multiple GPU-based graphics cards and a single display

  • Use NVIDIA SLI technology with multiple GPU-based graphics cards and multiple displays

  • Verify that NVIDIA SLI technology is enabled and working

  • About NVIDIA SLI Technology


SLI reference

NVIDIA SLI Technology Reference

This section provides reference information about NVIDIA SLI technology.

  • About NVIDIA SLI Technology


About NVIDIA SLI Technology

NVIDIA® SLI™ technology is a revolutionary platform innovation that allows you to intelligently scale performance by combining multiple NVIDIA graphics solutions in a single system with an NVIDIA nForce® SLI media and communications processor (MCP). Using proprietary software algorithms and dedicated scalability logic in each NVIDIA graphics processing unit (GPU) and MCP, NVIDIA SLI technology delivers the highest performance computing solution. Further, NVIDIA SLI-Ready components are backed by a rigorous testing and certification process to deliver an entire certified platform solution, ensuring unmatched system stability and platform compatibility.

For more information on NVIDIA SLI technology and for an up-to-date list of compatible hardware and software please visit www.SLIZone.com.

Related Topics

  • Use NVIDIA SLI technology with one GPU-based graphics card

  • Use NVIDIA SLI technology with multiple GPU-based graphics cards and a single display

  • Use NVIDIA SLI technology with multiple GPU-based graphics cards and multiple displays

  • Verify that NVIDIA SLI technology is enabled and working

  • View how NVIDIA SLI technology is rendering my 3D and OpenGL applications

  • NVIDIA Hybrid Graphics - Save Power, Boost Performance, or Additional Displays, for

  • Notebooks with Intel motherboards

  • Notebooks with NVIDIA motherboards

  • Desktop systems


NVIDIA Multi-GPU Configuration

Using NVIDIA Control Panel you can configure systems that include a Multi-GPU graphics card.

  • For help on using these features, see How do I ...

  • For reference information on these features, see Reference.


How do I...

  • Run NVIDIA Multi-GPU connected to a single display

  • Run NVIDIA Multi-GPU connected to multiple displays


To run NVIDIA Multi-GPU connected to a single display

Running NVIDIA Multi-GPU configuration gives improved rendering performance in your Direct3D and OpenGL applications.

Note: To use this procedure, your system must have two or more NVIDIA GPUs connected to a single display.

  1. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Set Multi-GPU configuration to open the associated page.

  2. Under Use the following Multi-GPU configuration on my system, click Multi-GPU mode.

  3. Click Apply.

Related topics

  • To run NVIDIA Multi-GPU connected to multiple displays

  • Set Multi-GPU Configuration


To run NVIDIA Multi-GPU connected to multiple displays

Running NVIDIA Multi-GPU configuration gives improved rendering performance in your Direct3D and OpenGL applications.

Note: To use this procedure, your system must have two or more NVIDIA GPUs connected to two or more displays.

  1. From the NVIDIA Control Panel navigation tree pane, under 3D Settings, select Set Multi-GPU configuration to open the associated page.

  2. Under Use the following Multi-GPU configuration on my system, click Multi-GPU mode.

  3. Under Select the display to view Multi-GPU rendering content on, click the list arrow and select the display that you want to use to view your game.

  4. Click Apply.

    5. The GPU connected to this display will function as the ”primary” GPU, all others will function as slaves to the primary GPU.

Related topics

  • To run NVIDIA Multi-GPU connected to a single display

  • Set Multi-GPU Configuration (reference)


Multi-GPU Reference

This section contains reference information on using NVIDIA Multi-GPU configuration.

  • Set Multi-GPU Configuration (reference)


Set Multi-GPU Configuration (reference)

The Set Multi-GPU Configuration page is available if your system has two or more NVIDIA-based GPUs in a non-SLI platform. Multi-GPU mode provides improved performance for your Direct3D and OpenGL applications.

Two options are available in a multi-GPU system:

Multi-Display mode. In multi-display mode, your GPUs work independently. This option can be used to drive multiple displays.

Multi-GPU mode. In multi-GPU mode, your GPUs work together to increase the rendering performance of your 3D applications.

Related topics

  • To run NVIDIA Multi-GPU connected to a single display

  • To run NVIDIA Multi-GPU connected to multiple displays


antialiasing

In computer graphics, antialiasing is a technique for diminishing jaggies - stairstep-like lines that should be smooth. Jaggies occur because the screen display doesn't have a high enough resolution to represent a smooth line. Antialiasing reduces the prominence of jaggies by surrounding the stairsteps with intermediate shades of color. Although this reduces the jagged appearance of the lines, it also makes them fuzzier. Here's a zoomed in look at the difference. The image on the left is set to performance setting, which does not use antialiasing. The image on the right is using the quality setting which is using the antialiasing technique.

Antialiasing can be set to favor an increase in system performance or improved image quality.

  • Setting for performance is best used when the 3D image is animated and the fluid motion of the scene is most important.

  • Setting for quality is best used when having a highly detailed and realistic 3D objects are the primary concern.

  • Under the Manage 3D Settings page (advanced view), you can set specific antialiasing levels.

    • The higher value corresponds to a higher level of antialiasing. For example, 16x is a higher quality setting than 2x.

    With GeForce 8 series GPUs, NVIDIA introduced a new form of antialiasing called Coverage Sampling, which affects 8x, 16x and 16xQ antialiasing settings. For more information please refer to the Lumenex Engine technical brief on NVIDIA.com

  • If you are unsure of how to configure antialiasing, use the "Application controlled" option. Your display will automatically adjust to the application's specification.


FAQ: NVIDIA Hybrid Graphics

  • What is NVIDIA Hybrid Graphics?

  • What is the difference between the integrated graphics hardware and the discrete GPU?

  • How do I verify the current Hybrid Graphics mode?

  • How do I change the Hybrid Graphics mode?

  • How do I change the default Hybrid Graphics settings in the Windows Vista Power Plan?

  • How do I enable Save power mode?

  • My screen flickers when the Hybrid Graphics mode changes.

  • Why do I get the "!" warning symbol?

  • Why does the Hybrid Graphics mode differ from the one specified by the Windows Vista Power Plan?

  • Why am I asked to quit my application?

  • I'm asked to quit an application, but I don't see it open on my desktop.

  • How do I enable additional displays on my notebook computer?

What is NVIDIA® Hybrid Graphics?

NVIDIA® Hybrid Graphics is a technology for managing multiple graphics processing units (GPUs) to accommodate changes in graphics performance and power savings requirements.

There are two Hybrid Graphics modes:

  • Save power. Under Save power mode only the integrated graphics hardware renders and displays. All discrete NVIDIA GPUs are powered off for reduced power consumption and cooler, quieter operation. On notebook computers this also maximizes notebook system battery life.

  • Increase performance. Under this mode all discrete NVIDIA GPUs are powered on for rendering and displaying to deliver increased graphics performance.

Back to top

What is the difference between the integrated graphics hardware and the discrete GPU?

The integrated graphics is integrated into the motherboard chipset - that component which controls core functionality of the motherboard such as storage, audio, and communications.

The discrete GPU is a standalone component that only provides graphics processing functions. The discrete GPU is typically located on an MXM card or on the system motherboard.

Back to top

How do I verify the current Hybrid Graphics mode?

The Hybrid Graphics icon appears in the notification area of the Windows Vista taskbar.

The icon indicates the graphics mode as follows:

Hybrid Graphics Notification Icon | Graphics Mode
 | Increase performance mode
 | Increase performance mode, but the Power Plan specifies Save power
 | Save power mode
 | Save power mode, but the Power Plan specifies Increase performance

You can also hover over or click the icon to view a pop-up window that tells you the current graphics mode.

If the pop-up window gives you the option of changing graphics modes, that means that the graphics mode specified by the current Windows Vista power plan cannot be set because a "blocking" condition exists. Click the link and then follow the instructions in the dialog box to remove the "blocking" conditions.

See also Why does the Hybrid Graphics mode differ from the one specified by the Windows Vista power plan?

Back to top

How do I change the Hybrid Graphics mode?

To change the graphics mode, click the Power Options battery icon on the notification area of the Windows Vista taskbar to open the battery meter, then select the Windows Vista power plan you want to use.

You control performance or power savings through the power options in each Windows Vista power plan. The NVIDIA default Hybrid Graphics modes and save-power options corresponding to each power plan are as follows:

Default Hybrid Graphics Modes
Windows Vista Power Plan | Graphics Mode |  | Save Power When
 | Battery | Plugged In | Battery | Plugged In
Balanced | Save power | Increase performance | System is idle for 4 minutes | System is idle for 4 minutes
Power Saver | Save power | Save power | System is idle for 4 minutes | System is idle for 4 minutes
High Performance | Increase performance | Increase performance | Never | Never

Depending on the Windows Vista power plan, your computer can automatically switch to a particular graphics mode in response to the following actions:

  • Unplugging your notebook from AC power so that it runs on battery power

  • Plugging your notebook computer into an AC power supply

  • Letting your computer remain idle for approximately four minutes

To configure your own settings, see How do I change the default Hybrid Graphics settings in the Windows Vista Power Plan?

Back to top

How do I change the default Hybrid Graphics settings in the Windows Vista Power Plan?

You can customize the Hybrid Graphics settings for each power plan as follows:

  1. Click the Power Options battery icon on the notification area of the Windows Vista taskbar to open the battery meter, then click the More Power Options.

  2. From the Select a power plan page, under the power plan that you want to customize, click Change plan settings.

  3. Click Change advanced power settings.

  4. In the Advanced settings tab categories box, expand the GPU settings category.

  5. To change the graphics mode, expand the NVIDIA Hybrid Graphics category and then make your changes as follows:

    1. Click the On battery list arrow and then select the graphics mode you want to use when your computer is running on battery power under this power plan.

    2. Click the Plugged in list arrow and then select the graphics mode you want to use when your computer is plugged into AC power under this power plan.

  6. To change the automatic save-power settings, expand the Automatically save power when category and then make your changes as follows:

    1. Click the On battery list arrow and then select the option you want to use when your computer is running on battery power under this power plan.

    2. Click the Plugged in list arrow and then select the option you want to use when your computer is plugged into AC power under this power plan.

  7. If you want to change the settings for other power plans, click the power plan list arrow located above the categories box, then select the power plan you want to customize and repeat steps 4 - 6.

    8. TIP: You can set your computer to always be in Increase Performance mode by selecting that setting for both power sources under all three power plans - Balanced, Power Saver, and High Performance.

  8. Click OK, then click Save changes.

Back to top

How do I enable Save power mode?

There may be conditions that are blocking the change to Hybrid Graphics Save power mode. To remove those conditions, do one or both of the following:

  • Make sure you are using only the built-in display or a display connected to the primary VGA connector. Detach all other displays.

    • All other displays require the discrete GPU to be active. When the discrete GPU is active, you are not in Save power mode..

  • Click the Hybrid Graphics icon in the notification area of the Windows Vista taskbar, then click Switch to Save power mode.

Back to top

My screen flickers when the Hybrid Graphics mode changes.

It is normal for your screen to briefly freeze or flicker when the graphics mode changes. During this time, the graphics hardware does not update the display. Nevertheless, your computer and its applications continue to operate normally, and the applications will be available once the mode change is complete.

Back to top

Why do I get the "!" warning symbol?

Why does the Hybrid Graphics mode differ from the one specified by the Windows Vista Power Plan?

The "!" warning symbol next to the Hybrid Graphics notification icon indicates that the actual graphics mode is out of sync with Windows Vista power plan.

Some applications do not support changing the graphics mode while the application is running. If you change power plans while these applications are running, the graphics mode remains unchanged and the notification icon displays a "!".

NOTE: Only NVIDIA Hybrid Graphics modes are affected by applications that do not support mode changes. All other power plan settings are set.

See also:

  • Why am I asked to quit my application?

  • How do I change the Hybrid Graphics mode?

Back to top

Why am I asked to quit my application?

Some applications do not support changing the graphics mode while the application is running. If you attempt to change graphics modes in this case, a dialog box appears that lists the applications you must close before you can switch modes.

Back to top

I'm asked to quit an application, but I don't see it open on my desktop.

If you cannot locate a blocking application on the Windows desktop, task bar, or by pressing [Alt+tab], close the application using the Windows Task Manager:

  1. Press [Ctrl+Alt+Del] , then click Start Task Manager.

  2. From the Windows Task Manager Applications tab, click the blocking application, then click End Task.

    3. You may need to locate the blocking application from the Processes tab.

Back to top

How do I enable additional displays on my notebook computer?

You can connect an external display to the primary VGA connector without affecting the Hybrid Graphics mode. No special action is required other than enabling the display using the Windows Display Settings page or the NVIDIA Control Panel.

All other external displays are driven by the discrete GPU. In this case, the first time you connect the display, Windows Vista asks whether you want to activate the display. If you select Yes, then the Hybrid Graphics Increase performance mode will be activated and the display will be lit.

If you select No and then later wish to use the display, you must switch to a power plan that specifies Increase performance mode and then enable the display using the Windows Display Settings page.

Back to top


FAQ: NVIDIA Hybrid SLI Graphics for Desktop Systems

  • What is NVIDIA Hybrid SLI Graphics?

  • What is the difference between the motherboard GPU and a discrete GPU?

  • How do I verify the current Hybrid SLI graphics mode?

  • How do I change the Hybrid SLI graphics mode?

  • Can I change Hybrid SLI graphics modes using the Windows Vista Power Plan?

  • How do enable the Save power mode option?

  • My screen freezes when the Hybrid SLI graphics mode changes.

  • Why am I asked to quit my application?

  • I'm asked to quit an application, but I don't see it open on my desktop.

  • How does Hybrid SLI graphics work with SLI desktop PCs?

  • How does Hybrid SLI graphics work with multiple displays on my desktop computer, and which display configurations are supported?

  • How do I enable additional displays on my desktop computer?

  • How do I select which display to use in Boost performance mode?

  • Why is there no image on some of my displays?

What is NVIDIA® Hybrid SLI® Graphics?

NVIDIA® Hybrid SLI® Graphics is a technology for managing multiple graphics processing units (GPUs) to accommodate changes in graphics performance and power savings requirements. This technology is available on systems that have one or more NVIDIA Hybrid SLI-enabled GPUs and an NVIDIA Hybrid SLI-enabled motherboard.

There are three Hybrid SLI graphics modes for desktop computers:

  • Save power. Under Save power mode, only the motherboard GPU renders and displays. All discrete NVIDIA GPUs are powered off for reduced power consumption and cooler, quieter operation.

NOTE: Save power mode is not available on some Hybrid SLI PCs.

  • Boost performance. Under this mode, in addition to the motherboard GPU all discrete NVIDIA GPUs are powered on for rendering and displaying to deliver increased graphics performance. The NVIDIA motherboard GPU is used in combination with the discrete NVIDIA GPUs, and together they work to maximize graphics performance.

  • Additional displays. Use this mode if you want to use displays connected to both the motherboard GPU and the discrete NVIDIA GPU.

The following table summarizes the main differences between Hybrid SLI graphics modes:

Hybrid SLI Graphics Mode | GPUs Used | Displays you can use
Save power | Motherboard GPU only | Up to two displays connected to the motherboard GPU
Boost performance | Discrete GPUs and the motherboard GPU work together. | Up to two displays connected to either the motherboard or discrete GPU
Additional displays | All GPUs are available and work independently. | All displays on both the motherboard and discrete GPUs

See also: How does Hybrid SLI graphics work with SLI desktop PCs?

Back to top

What is the difference between the motherboard GPU and a discrete GPU?

The motherboard GPU is the GPU that is integrated into the motherboard chipset - that component which controls core functionality of the motherboard such as storage, audio, and communications.

The discrete GPU is a standalone component that only provides graphics processing functions. The discrete GPU is typically located on a standard PCI Express add-in graphics card.

Back to top

How do I verify the current Hybrid SLI graphics mode?

The Hybrid SLI icon appears in the notification area of the Windows Vista taskbar.

The icon indicates the graphics mode as follows:

Hybrid SLI Notification Icon | Graphics Mode
 | Boost performance
 | Save power
 | Additional displays

You can also hover over or click the icon to determine the current graphics mode.

Back to top

How do I change the Hybrid SLI graphics mode?

To change the graphics mode,

  1. Click the Hybrid SLI icon in the notification area of the Windows Vista taskbar to open the Hybrid SLI mode selection window.

  2. Select the Hybrid SLI mode you want to use - Save power, Boost performance, or Additional displays.

    Your changes are applied immediately and the window closes.

Back to top

Can I change Hybrid SLI graphics modes using the Windows Vista Power Plan?

The graphics modes for desktop systems are not tied to the Window Vista Power Plan. However, on Hybrid SLI PCs that support Save power mode, you can use the Windows Vista Power Plan to control whether to enable Hybrid SLI Save power mode when the system is idle.

The default Save Power settings are as follows:

Default Save Power Settings
Windows Vista Power Plan | Save Power When
Balanced | System is idle for 4 minutes
Power Saver | System is idle for 4 minutes
High Performance | Never

To change the default settings:

  1. Open the Windows Vista Control Panel and double-click Power Options.

  2. From the Select a power plan page, under the power plan that you want to customize, click Change plan settings.

  3. Click Change advanced power settings.

  4. In the Advanced settings tab categories box, expand the GPU settings category, then expand the Save power when category.

  5. Click the Setting list arrow and then select the option you want to use for this power plan.

  6. If you want to change the settings for other power plans, click the power plan list arrow located above the categories box, then select the power plan you want to customize and repeat steps 4 and 5.

  7. Click OK, then click Save changes.

Back to top

How do I enable the Save power option in the Hybrid SLI mode selection window?

To enable the Save power mode option, attach at least one display to the motherboard GPU.

You might need to switch to Additional displays mode first and then attach the display to the motherboard GPU. The display must light.

Back to top

My screen freezes when the Hybrid SLI graphics mode changes.

It is normal for your screen to briefly freeze when the graphics mode changes. During this time, the graphics hardware does not update the display. Nevertheless, your computer and its applications continue to operate normally, and the applications will be available once the mode change is complete.

Back to top

Why am I asked to quit my application?

Some applications cannot dynamically switch over to another GPU while they are running. If you attempt to change graphics modes in this case, a dialog box appears that lists the applications you must close before you can switch modes.

Back to top

I'm asked to quit an application, but I don't see it open on my desktop.

If you cannot locate a blocking application on the Windows desktop, task bar, or by pressing [Alt+tab], close the application using the Windows Task Manager:

  1. Press [Ctrl+Alt+Del] , then click Start Task Manager.

  2. From the Windows Task Manager Applications tab, click the blocking application, then click End Task.

    3. You may need to locate the blocking application from the Processes tab.

Back to top

How does Hybrid SLI graphics work with SLI desktop PCs?

SLI desktop PCs are computers that contain two or more SLI-capable discrete GPUs. These GPUs work together to increase graphics performance when SLI is enabled using the NVIDIA Control Panel Set SLI Configuration page.

The following table describes how each Hybrid SLI graphics mode affects whether you can enable SLI mode on SLI desktop PCs (PCs with multiple SLI-capable discrete GPUs).

Hybrid SLI Graphics Mode | Effect on SLI Desktop PCs (multiple discrete GPUs) | Displays you can use
Save power | SLI mode is automatically disabled and cannot be enabled. The NVIDIA Control Panel Set SLI Configuration page will not be available. | Up to two displays connected to the motherboard GPU
Boost performance | SLI mode is automatically enabled and cannot be disabled. | One display connected to the motherboard GPU
Additional displays | SLI mode is automatically disabled but can be enabled using the NVIDIA Control Panel. | SLI enabled: One display connected to one of the discrete GPUs SLI disabled: All displays on both the motherboard and discrete GPUs

Back to top

How does Hybrid SLI graphics work with multiple displays on my desktop computer, and which display configurations are supported?

See:

  • What is NVIDIA Hybrid SLI Graphics?

  • How does Hybrid SLI graphics work with SLI desktop PCs?

Back to top

How do I enable additional displays on my desktop computer?

  1. After connecting your displays, click the Hybrid SLI icon in the notification area of the Windows Vista taskbar, then select Additional Displays.

    2. The Windows Display Settings page appears.

  2. Right-click the display you want to enable, then click Attach and click OK.

After completing the previous steps,

  • If you want to use Hybrid SLI Boost performance mode using the displays connected to the discrete GPU:

    1. Using the Windows Display Settings page, disable the displays connected to the motherboard and enable the displays connected to the desired discrete GPU.

    2. Click the Hybrid SLI icon in the notification area of the Windows Vista taskbar, then select Boost performance.

NOTE: You cannot enable displays connected to the discrete GPU with Boost performance mode enabled on an SLI desktop PC. See the table in What is NVIDIA Hybrid SLI Graphics?.

  • If you want to use Hybrid SLI Save power mode:

    1. Make sure at least one display is connected to the motherboard GPU.

    2. Click the Hybrid SLI icon in the notification area of the Windows Vista taskbar then select Save power.

      3. NOTE: You do not need to disconnect displays connected to any discrete GPUs, but only the one or two displays connected to the motherboard GPU will be active after switching to Save power mode.

Back to top

How do I select which display to use in Boost performance mode?

  1. Make sure the display you want to use is connected.

  2. Click the Hybrid SLI icon in the notification area of the Windows Vista taskbar, then select Additional Displays.

    3. The Windows Display Settings page appears.

  3. Right-click the display(s) that you want to use in Boost performance mode, click Attach, then click Apply.

  4. For any displays that are not connected to the same GPU as the display that you want to use in Boost performance mode -

    5. Right click that display, uncheck Attach to detach the display, then click Apply.

  5. Click the Hybrid SLI icon in the notification area of the Windows Vista taskbar, then select Boost performance.

To ensure that the display you want to use is enabled after switching to Boost performance mode, be sure to disable all other displays as described in step 4.

NOTE: On an SLI desktop PC, you cannot enable displays connected to the discrete GPU with Boost performance mode enabled. See the table in What is NVIDIA Hybrid SLI Graphics?.

Back to top

Why is there no image on some of my displays?

Some displays may be disabled, depending on which Hybrid SLI graphics mode is set.

Boost Performance

  • On an SLI desktop PC, if you have displays connected to the discrete GPU, they will be inactive.

  • On an SLI desktop PC, only one display at a time is used - all others are inactive.

      • Use the NVIDIA Control Panel Set SLI Configuration page to select which display you want use.

Save Power

If you have displays connected to the discrete GPU, they will be inactive.

Additional Displays

  • You need to enter the Windows Display Settings page and attach any displays you want to use.

  • On an SLI desktop PC with SLI mode enabled, only one display at a time is used - all others are inactive.

      • Use the NVIDIA Control Panel Set SLI Configuration page to select which display you want use.

Back to top


FAQ: NVIDIA Hybrid SLI Graphics for Notebook Systems

  • What is NVIDIA Hybrid SLI Graphics?

  • What is the difference between a motherboard GPU and a discrete GPU?

  • How do I verify the current Hybrid SLI graphic mode?

  • How do I change the Hybrid SLI graphics mode?

  • How do I change the default Hybrid SLI graphics settings in the Windows Vista Power Plan?

  • My screen freezes when the Hybrid SLI graphics mode changes.

  • Why do I get the "!" warning symbol?

  • Why does the Hybrid SLI graphics mode differ from the one specified by the Windows Vista Power Plan?

  • Why am I asked to quit my application?

  • I'm asked to quit an application, but I don't see it open on my desktop.

  • How do I enable additional displays on my notebook computer?

What is NVIDIA® Hybrid SLI® Graphics?

NVIDIA® Hybrid SLI® Graphics is a technology for managing multiple graphics processing units (GPUs) to accommodate changes in graphics performance and power savings requirements. This technology is available on systems that have one or more NVIDIA Hybrid SLI-enabled GPUs and an NVIDIA Hybrid SLI-enabled motherboard.

There are two Hybrid SLI graphics modes for notebook computers:

  • Save Power. Under save power mode, only the motherboard GPU renders and displays. All discrete NVIDIA GPUs are powered off for reduced power consumption and cooler, quieter operation. On notebook computers this also maximizes notebook system battery life.

  • Boost Performance. Under this mode, in addition to the motherboard GPU all discrete NVIDIA GPUs are powered on for rendering and displaying to deliver increased graphics performance. The NVIDIA motherboard GPU is used in combination with the discrete NVIDIA GPU, and together they work to maximize graphics performance.

Back to top

What is the difference between the motherboard GPU and a discrete GPU?

The motherboard GPU is the GPU that is integrated into the motherboard chipset - that component which controls core functionality of the motherboard such as storage, audio, and communications.

The discrete GPU is a standalone component that only provides graphics processing functions. The discrete GPU is typically located on an MXM card or on the system motherboard.

Back to top

How do I verify the current Hybrid SLI graphics mode?

The Hybrid SLI icon appears in the notification area of the Windows Vista taskbar.

The icon indicates the graphics mode as follows:

Hybrid SLI Notification Icon | Graphics Mode
 | Boost performance mode
 | Boost performance mode, but the Power Plan specifies Save power
 | Save power mode
 | Save power mode, but the Power Plan specifies Boost performance
 | Additional Displays (not available on some systems)

You can also hover over or click the icon to view a pop-up window that tells you the current graphics mode.

If the pop-up window gives you the option of changing graphics modes, that means that the graphics mode specified by the current Windows Vista power plan cannot be set because a "blocking" condition exists. Click the link and then follow the instructions in the dialog box to remove the "blocking" conditions.

See also Why does the Hybrid SLI mode differ from the one specified by the Windows Vista power plan?

Back to top

How do I change the Hybrid SLI graphics mode?

To change the graphics mode, click the Power Options battery icon on the notification area of the Windows Vista taskbar to open the battery meter, then select the Windows Vista power plan you want to use.

You control performance or power savings through the power options in each Windows Vista power plan. The NVIDIA default graphics modes and save-power settings corresponding to each power plan are as follows:

Default Hybrid SLI Graphics Modes
Windows Vista Power Plan | Graphics Mode |  | Save Power When
 | Battery | Plugged In | Battery | Plugged In
Balanced | Save power | Boost performance | System is idle for 4 minutes | System is idle for 4 minutes
Power Saver | Save power | Save power | System is idle for 4 minutes | System is idle for 4 minutes
High Performance | Boost performance | Boost performance | Never | Never

Depending on the Windows Vista power plan, your computer can automatically switch to a particular graphics mode in response to the following actions:

  • Unplugging your notebook from AC power so that it runs on battery power

  • Plugging your notebook computer into an AC power supply

  • Letting your computer remain idle for approximately four minutes

To configure your own settings, see How do I change the default Hybrid Graphics settings in the Windows Vista Power Plan?

Back to top

How do I change the default Hybrid SLI graphics settings in the Windows Vista Power Plan?

You can customize the Hybrid SLI graphics settings for each power plan as follows:

  1. Click the Power Options battery icon on the notification area of the Windows Vista taskbar to open the battery meter, then click More Power Options.

  2. From the Select a power plan page, under the power plan that you want to customize, click Change plan settings.

  3. Click Change advanced power settings.

  4. In the Advanced settings tab categories box, expand the GPU settings category.

  5. To change the graphics mode, expand the NVIDIA Hybrid SLI Graphics category and then make your changes as follows:

    1. Click the On battery list arrow and then select the graphics mode you want to use when your computer is running on battery power under this power plan.

    2. Click the Plugged in list arrow and then select the graphics mode you want to use when your computer is plugged into AC power under this power plan.

  6. To change the automatic save-power settings, expand the Automatically save power when category and then make your changes as follows:

    1. Click the On battery list arrow and then select the option you want to use when your computer is running on battery power under this power plan.

    2. Click the Plugged in list arrow and then select the option you want to use when your computer is plugged into AC power under this power plan.

  7. If you want to change the settings for other power plans, click the power plan list arrow located above the categories box, then select the power plan you want to customize and repeat steps 4 - 6.

    8. TIP: You can set your computer to always be in Boost performance mode by selecting that setting for both power sources under all three power plans - Balanced, Power Saver, and High Performance.

  8. Click OK, then click Save changes.

Back to top

My screen freezes when the Hybrid SLI graphics mode changes.

It is normal for your screen to briefly freeze when the graphics mode changes. During this time, the graphics hardware does not update the display. Nevertheless, your computer and its applications continue to operate normally, and the applications will be available once the mode change is complete.

Back to top

Why do I get the "!" warning symbol?

Why does the Hybrid SLI graphics mode differ from the one specified by the Windows Vista Power Plan?

The "!" warning symbol next to the Hybrid Graphics notification icon indicates that the actual graphics mode is out of sync with Windows Vista power plan.

Some applications do not support changing the graphics mode while the application is running. If you change power plans while these applications are running, the graphics mode remains unchanged and the notification icon displays a "!".

NOTE: Only NVIDIA Hybrid SLI graphics modes are affected by applications that do not support mode changes. All other power plan settings are set.

See also:

  • Why am I asked to quit my application?

  • How do I change the Hybrid SLI mode?

Back to top

Why am I asked to quit my application?

Some applications do not support changing the graphics mode while the application is running. If you attempt to change graphics modes in this case, a dialog box appears that lists the applications you must close before you can switch modes.

Back to top

I'm asked to quit an application, but I don't see it open on my desktop.

If you cannot locate a blocking application on the Windows desktop, task bar, or by pressing [Alt+tab], close the application using the Windows Task Manager:

  1. Press [Ctrl+Alt+Del] , then click Start Task Manager.

  2. From the Windows Task Manager Applications tab, click the blocking application, then click End Task.

    3. You may need to locate the blocking application from the Processes tab.

Back to top

How do I enable additional displays on my notebook computer?

You can connect an additional display without affecting the Hybrid SLI graphics mode and no special action is required other than enabling the display using the Windows Display Settings page or the NVIDIA Control Panel.

Back to top